Subject: Re: Bestcomm trouble with NAPI for MPC5200 FEC

From: Wolfram Sang <[email-masked]>
Date: Fri, 10 Jul 2009 10:08:30 +0200

Hello Wolfgang,

> I'm currently trying to implement NAPI for the FEC on the MPC5200 to
> solve the well known problem, that network packet storms can cause
> interrupt flooding, which may totally block the system. The NAPI

That's great news. Do you happen to have a scenario which reliably triggers the
problem? Then I could do some testing as well. I haven't seen this on our
boards for quite a while, but I'd like to verify.

> - With 2.6.31-rc2, the RFIFO error occurs quickly which does reset the
>   FEC and Bestcomm (unfortunately, this does trigger an oops because
>   it's called from the interrupt context, but that's another issue).

+1 for "error handling resets too much"

Regards,

   Wolfram

-- 
Pengutronix e.K.                           | Wolfram Sang                |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |